> For the complete documentation index, see [llms.txt](https://docs.drivequant.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.drivequant.com/backend/beacon/configuration.md).

# Configuration

This service provides beacon configuration information based on its identifiers

* Beacon status (paired, available)
* Vehicle to which beacon is paired
  * Vehicle's unique identifier
  * Name
  * Detection mode (BEACON)
  * Creation date
  * Beacon identifiers
  * Beacon pairing date
* Identifiers of the vehicle's owner (id, firstname, lastname).

{% hint style="info" %}
If you have your **admin API key**, you can try the API via this [**link**](https://drivequant.stoplight.io/docs/drivequant-public/0ca69a5d22e03-get-beacon-configuration).
{% endhint %}

{% openapi src="/files/kGu6vAQLKXFhT9ROqIvL" path="/drivekit/admin/beacon/configuration" method="get" %}
[dkadmin-beacon-configuration.yaml](https://2525923625-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LXYIG5U3AO65YYFWJRK%2Fuploads%2F2FChZpbIYIcUhBuOEfeo%2Fdkadmin-beacon-configuration.yaml?alt=media\&token=7dc4bb5a-4333-4f61-96b0-4b4bdb773c63)
{% endopenapi %}

## Parameters

The table below summarizes the list of query parameters.

<table><thead><tr><th width="172">Field</th><th width="119">Type</th><th>Description</th><th>Required ?<select><option value="3470589da4b74da281680b0e457ecfb6" label="yes" color="blue"></option><option value="51e3e511fef74b648fc1937bef110359" label="no" color="blue"></option></select></th></tr></thead><tbody><tr><td>proximityuuid</td><td><code>string</code></td><td>Beacon proximity UUID</td><td><span data-option="3470589da4b74da281680b0e457ecfb6">yes</span></td></tr><tr><td>major</td><td><code>int</code></td><td>Beacon major</td><td><span data-option="3470589da4b74da281680b0e457ecfb6">yes</span></td></tr><tr><td>minor</td><td><code>int</code></td><td>Beacon minor</td><td><span data-option="3470589da4b74da281680b0e457ecfb6">yes</span></td></tr></tbody></table>

## Response

The table below summarizes the list of beacon configuration parameters.

<table><thead><tr><th width="194">Field</th><th width="126">Type</th><th>Description</th></tr></thead><tbody><tr><td>pairedStatus</td><td><code>string</code></td><td>Beacon paired status<br><em>Allowed values: <code>PAIRED</code>, <code>FREE</code></em></td></tr><tr><td>vehicle</td><td><a href="#vehicle">Vehicle</a></td><td>Vehicle paired to the beacon (<code>null</code> if the beacon is not paired)</td></tr><tr><td>user</td><td><a href="#user">User</a></td><td>User informations</td></tr></tbody></table>

### Vehicle

<table><thead><tr><th width="198">Field</th><th width="226">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td><code>string</code></td><td>Vehicle unique identifier</td></tr><tr><td>name</td><td><code>string</code></td><td>Vehicle name</td></tr><tr><td>detectionMode</td><td><code>string</code></td><td>Detection mode<br><em>Allowed values: <code>DISABLED</code>, <code>GPS</code>, <code>BEACON</code>, <code>BLUETOOTH</code></em></td></tr><tr><td>creationDate</td><td><code>date</code></td><td>Creation date<br><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></td></tr><tr><td>beaconIdentifier</td><td><a href="#beaconidentifier">BeaconIdentifier</a></td><td>Beacon paired to the vehicle</td></tr><tr><td>beaconPairingDate</td><td><code>date</code></td><td>Beacon pairing date</td></tr></tbody></table>

### BeaconIdentifier

<table><thead><tr><th width="172">Field</th><th width="119">Type</th><th>Description</th></tr></thead><tbody><tr><td>proximityUuid</td><td><code>string</code></td><td>Beacon proximity UUID</td></tr><tr><td>major</td><td><code>int</code></td><td>Beacon major</td></tr><tr><td>minor</td><td><code>int</code></td><td>Beacon minor</td></tr></tbody></table>

### User

| Field     | Type     | Description            |
| --------- | -------- | ---------------------- |
| id        | `string` | User unique identifier |
| firstname | `string` | User firstname         |
| lastname  | `string` | User lastname          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.drivequant.com/backend/beacon/configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
